> For the complete documentation index, see [llms.txt](https://apidocs.arionbanki.is/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.arionbanki.is/partnership-apis/api-reference.md).

# API Reference

<a href="https://openapi.gitbook.com/o/0A1P6YvuPxpINWkYJpBX/spec/new-Wholesale.yaml" class="button primary" data-icon="circle-down">Download Open API yaml file</a>

## Retrieves claim usage data for TPP.

> Fetches claim usage statistics for specific claim templates tied to a TPP

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"tags":[{"name":"ClaimUsagePeriod","description":"ClaimUsagePeriodController"}],"servers":[{"url":"https://apigw.arionbanki.is/claims/wholesale","description":"Claims gateway"}],"paths":{"/api/v1/ClaimUsagePeriod":{"get":{"tags":["ClaimUsagePeriod"],"summary":"Retrieves claim usage data for TPP.","description":"Fetches claim usage statistics for specific claim templates tied to a TPP","parameters":[{"name":"X-Request-ID","in":"header","description":"ID of the request, unique to the call, as determined by the initiating party.","schema":{"type":"string","format":"uuid"}},{"name":"claimantId","in":"query","description":"(Optional) Filter by a specific claimant. ClaimantId is the Icelandic kennitala for the claimant. ClaimantId is 10 digits","schema":{"type":"string"}},{"name":"usagePeriod","in":"query","description":"(Optional) The year and month of claim usage (YYYY-MM).","schema":{"type":"string","format":"date-time"}},{"name":"page","in":"query","description":"Current page of the results.","required":true,"schema":{"type":"integer","format":"int32","default":1}},{"name":"pageSize","in":"query","description":"Number of records per page.","required":true,"schema":{"type":"integer","format":"int32","default":100}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Responses.GetClaimUsagePeriodsResponse"}}}}}}}},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.Responses.GetClaimUsagePeriodsResponse":{"required":["paging"],"type":"object","properties":{"claimUsagePeriods":{"type":"array","items":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Entities.ClaimUsagePeriod"},"description":"A list of ClaimUsagePeriods","nullable":true},"paging":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Entities.PagingInfo"}},"additionalProperties":false,"description":"Represents the response containing claim usage data and pagination details for claim templates."},"IsIT.Claims.SignUp.Api.Models.Entities.ClaimUsagePeriod":{"required":["claimTemplateKey","from","to"],"type":"object","properties":{"claimTemplateKey":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Entities.ClaimTemplateKey"},"from":{"type":"string","description":"The start date of the usage period, typically the beginning of the month.","format":"date-time"},"to":{"type":"string","description":"The end date of the usage period, typically the end of the month.","format":"date-time"},"feeCounts":{"type":"array","items":{"$ref":"#/components/schemas/IsIT.Claims.Api.Models.v1.Entities.FeeCount"},"description":"Collection of fee counts associated with the claim template for this period.","nullable":true}},"additionalProperties":false,"description":"Represents the usage data of a claim template within a defined period."},"IsIT.Claims.SignUp.Api.Models.Entities.ClaimTemplateKey":{"required":["bank","claimantId","templateCode"],"type":"object","properties":{"claimantId":{"type":"string","description":"ClaimantId is the Icelandic kennitala for the claimant.","nullable":true},"bank":{"type":"string","description":"Icelandic branch number. Bank code is 4 digits.","nullable":true},"templateCode":{"type":"string","description":"Claim template identifier. Template code is 3 letters and/or numbers. No icelandic letters allowed. The characters \"M\" and \"8\" are reserved as first characters for secondary collection templates. The template code is chosen by the Api user.","nullable":true}},"additionalProperties":false,"description":"Unique combination of claimant, bank and template code."},"IsIT.Claims.Api.Models.v1.Entities.FeeCount":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"count":{"type":"integer","format":"int32"}},"additionalProperties":false},"IsIT.Claims.SignUp.Api.Models.Entities.PagingInfo":{"type":"object","properties":{"page":{"type":"integer","description":"Current page number.","format":"int32"},"pageSize":{"type":"integer","description":"Number of items per page.","format":"int32"},"totalRows":{"type":"integer","description":"Total number of rows available in the data set.","format":"int32"},"totalPages":{"type":"integer","description":"Total number of pages available, based on PageSize and TotalRows.","format":"int32"},"nextPage":{"type":"string","description":"Gets the URL to the next page, or null if there is no next page.","nullable":true}},"additionalProperties":false,"description":"Represents paging information for a paginated response."}}}}
```

## Sign up a new claimant

> Creates an agreement between TPP and Claimant allowing the TPP to create claim templates and claims on behalf of the claimant.

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"tags":[{"name":"SignUp","description":"SignUpController"}],"servers":[{"url":"https://apigw.arionbanki.is/claims/wholesale","description":"Claims gateway"}],"paths":{"/api/v1/claimants":{"post":{"tags":["SignUp"],"summary":"Sign up a new claimant","description":"Creates an agreement between TPP and Claimant allowing the TPP to create claim templates and claims on behalf of the claimant.","parameters":[{"name":"X-Request-ID","in":"header","description":"ID of the request, unique to the call, as determined by the initiating party.","schema":{"type":"string","format":"uuid"}}],"requestBody":{"description":"Request body for Claimants request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.CreateClaimant"}},"text/json":{"schema":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.CreateClaimant"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.CreateClaimant"}}}},"responses":{"202":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.ClaimantCreationStatus"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.CreateClaimant":{"required":["claimantId"],"type":"object","properties":{"claimantId":{"minLength":1,"pattern":"^[0-9]{10}$","type":"string","description":"ClaimantId is the Icelandic kennitala for the claimant. ClaimantId is 10 digits."}},"additionalProperties":false,"description":"Create claimant"},"IsIT.Claims.SignUp.Api.Models.ClaimantCreationStatus":{"type":"object","properties":{"claimantId":{"pattern":"[0-9]{10}","type":"string","description":"ClaimantId is the Icelandic kennitala for the claimant. ClaimantId is 10 digits.","nullable":true},"uri":{"type":"string","description":"Returns the URI to get the status of the created claimant","nullable":true},"state":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.State"},"status":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Status"},"errorMessage":{"type":"string","description":"If an error occurs during the process the error message will show the reason","nullable":true}},"additionalProperties":false,"description":"Status of claimant creation"},"IsIT.Claims.SignUp.Api.Models.State":{"enum":["Scheduled","Started","Completed","NotStarted"],"type":"string","description":"The state of the creation process<p>Possible values:</p>\n<ul>\n<li><b>Scheduled</b>: Resource is scheduled for creation</li>\n<li><b>Started</b>: Resource creation has started, but not completed</li>\n<li><b>Completed</b>: Resource creation has completed</li>\n<li><b>NotStarted</b>: Resource creation has not started</li>\n</ul>\n"},"IsIT.Claims.SignUp.Api.Models.Status":{"enum":["Undetermined","InProgress","Success","Error","NotFound"],"type":"string","description":"The status of the resource creation process, if the process succeeded or failed<p>Possible values:</p>\n<ul>\n<li><b>Undetermined</b>: The resource status is yet to be determined</li>\n<li><b>InProgress</b>: The resource creation status is in progress</li>\n<li><b>Success</b>: The resource creation succeeded</li>\n<li><b>Error</b>: The resource creation failed</li>\n<li><b>NotFound</b>: The resource not found</li>\n</ul>\n"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Claimant creation status

> Gets the status of the created agreement

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"tags":[{"name":"SignUp","description":"SignUpController"}],"servers":[{"url":"https://apigw.arionbanki.is/claims/wholesale","description":"Claims gateway"}],"paths":{"/api/v1/claimants/{claimantId}/status":{"get":{"tags":["SignUp"],"summary":"Claimant creation status","description":"Gets the status of the created agreement","parameters":[{"name":"X-Request-ID","in":"header","description":"ID of the request, unique to the call, as determined by the initiating party.","schema":{"type":"string","format":"uuid"}},{"name":"claimantId","in":"path","description":"Resource identification of the claimant. ClaimantId is the Icelandic kennitala for the claimant. ClaimantId is 10 digits.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.ClaimantCreationStatus"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.ClaimantCreationStatus":{"type":"object","properties":{"claimantId":{"pattern":"[0-9]{10}","type":"string","description":"ClaimantId is the Icelandic kennitala for the claimant. ClaimantId is 10 digits.","nullable":true},"uri":{"type":"string","description":"Returns the URI to get the status of the created claimant","nullable":true},"state":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.State"},"status":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Status"},"errorMessage":{"type":"string","description":"If an error occurs during the process the error message will show the reason","nullable":true}},"additionalProperties":false,"description":"Status of claimant creation"},"IsIT.Claims.SignUp.Api.Models.State":{"enum":["Scheduled","Started","Completed","NotStarted"],"type":"string","description":"The state of the creation process<p>Possible values:</p>\n<ul>\n<li><b>Scheduled</b>: Resource is scheduled for creation</li>\n<li><b>Started</b>: Resource creation has started, but not completed</li>\n<li><b>Completed</b>: Resource creation has completed</li>\n<li><b>NotStarted</b>: Resource creation has not started</li>\n</ul>\n"},"IsIT.Claims.SignUp.Api.Models.Status":{"enum":["Undetermined","InProgress","Success","Error","NotFound"],"type":"string","description":"The status of the resource creation process, if the process succeeded or failed<p>Possible values:</p>\n<ul>\n<li><b>Undetermined</b>: The resource status is yet to be determined</li>\n<li><b>InProgress</b>: The resource creation status is in progress</li>\n<li><b>Success</b>: The resource creation succeeded</li>\n<li><b>Error</b>: The resource creation failed</li>\n<li><b>NotFound</b>: The resource not found</li>\n</ul>\n"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Create a new claim template

> Creates a template between TPP and Claimant, uses the agreement that is in use after /claimants

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"tags":[{"name":"SignUp","description":"SignUpController"}],"servers":[{"url":"https://apigw.arionbanki.is/claims/wholesale","description":"Claims gateway"}],"paths":{"/api/v1/claimtemplates":{"post":{"tags":["SignUp"],"summary":"Create a new claim template","description":"Creates a template between TPP and Claimant, uses the agreement that is in use after /claimants","parameters":[{"name":"X-Request-ID","in":"header","description":"ID of the request, unique to the call, as determined by the initiating party.","schema":{"type":"string","format":"uuid"}}],"requestBody":{"description":"Request body for ClaimTemplates request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Requests.TemplateRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Requests.TemplateRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Requests.TemplateRequest"}}},"required":true},"responses":{"202":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.ClaimTemplateCreationStatus"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.Requests.TemplateRequest":{"required":["bank","claimantId","claimantStatementExtendedReferenceType","claimantStatementReferenceType","payorStatementExtendedReferenceType","templateCode"],"type":"object","properties":{"claimantStatementExtendedReferenceType":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Enums.ClaimantStatementExtendedReferenceType"},"claimantStatementReferenceType":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Enums.ClaimantStatementReferenceType"},"claimantId":{"minLength":1,"pattern":"^[0-9]{10}$","type":"string","description":"ClaimantId is the Icelandic kennitala for the claimant. ClaimantId is 10 digits."},"bank":{"minLength":1,"pattern":"03[0-9]{2}","type":"string","description":"Icelandic branch number. Bank code is 4 digits. Default value is 0370 for wholesale"},"templateCode":{"minLength":1,"pattern":"[0-9A-Za-z]{3}","type":"string","description":"Claim template identifier. Template code is 3 letters and/or numbers. No icelandic letters allowed. The characters \"M\" and \"8\" are reserved as first characters for secondary collection templates. The template code is chosen by the Api user."},"category":{"maxLength":2,"type":"string","description":"Creditors text key, explanation of payment. Category is 2 letters. Following is a list of common category values\r\n \r\nCategory  — Description\r\n \r\nKD — Leiga/ Rent\r\n \r\n37 — Reikningur/ Invoice\r\n \r\nG8 — Áskrift/Subscription\r\n \r\nKH — Félagsgjöld/Membership Fee\r\n \r\nIH — Innheimta/Claim\r\n \r\nR3 — Húsgjöld/Residents Fee\r\n \r\nGG — Framkvæmdargjöld/Building Fee\r\n \r\nK1 — Ýmislegt/Miscellaneous\r\n \r\nG7 — Árgjalddagi/Annual Fee","nullable":true},"payorStatementExtendedReferenceType":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Enums.PayorStatementExtendedReferenceType"},"depositAccount":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Entities.DepositAccount"},"withdrawalAccount":{"pattern":"[0-9]{12}","type":"string","description":"Debit account used to pay the creditor's expenses to the bank. If omitted, the main disposition account of the claim template is used.","nullable":true},"additionalDepositAccounts":{"type":"array","items":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.AdditionalDepositAccount"},"nullable":true}},"additionalProperties":false,"description":"Create or Alter Claim Template Details."},"IsIT.Claims.SignUp.Api.Models.Enums.ClaimantStatementExtendedReferenceType":{"enum":["ReferenceNumber","CustomerNumber","ClaimId","PayorId","DueDate"],"type":"string","description":"Indicates which value appears in the reference (Stuttur texti / skýringasvæði tilvísunar) area of the creditor's account statement.<p>Possible values:</p>\n<ul>\n<li><b>ReferenceNumber</b>: First 12 of reference number.</li>\n<li><b>CustomerNumber</b>: First 12 of customer number.</li>\n<li><b>ClaimId</b>: ClaimId is the most common choice. A claimId consists of a branch number, a ledger number and account number. Pattern: [0-9]{4}|[0-9]{2}[0-9?]{6}]</li>\n<li><b>PayorId</b>: Id (kennitala) of the payor.</li>\n<li><b>DueDate</b>: Due date of the claim.</li>\n</ul>\n"},"IsIT.Claims.SignUp.Api.Models.Enums.ClaimantStatementReferenceType":{"enum":["DueDate","BillNumber","ClaimNumber"],"type":"string","description":"Indicates which value appears in the reference (Langur texti / tilvísunarsvæði) area on the creditor's account statement.<p>Possible values:</p>\n<ul>\n<li><b>DueDate</b>: Due date of the claim in the format (yyyymmdd)</li>\n<li><b>BillNumber</b>: Bill number of the claim.</li>\n<li><b>ClaimNumber</b>: Claimnumber (last 6 digits)</li>\n</ul>\n"},"IsIT.Claims.SignUp.Api.Models.Enums.PayorStatementExtendedReferenceType":{"enum":["ClaimantId","ReferenceNumber","CustomerNumber","ClaimId","PayorId","DueDate"],"type":"string","description":"Tells which value appears in the reference explanation area of ​​the payer's invoice statement.<p>Possible values:</p>\n<ul>\n<li><b>ClaimantId</b>: ClaimantId is the Icelandic kennitala for the claimant.</li>\n<li><b>ReferenceNumber</b>: First 12 numbers of the reference number.</li>\n<li><b>CustomerNumber</b>: First 12 letters of the transaction number.</li>\n<li><b>ClaimId</b>: Bank, ledger and claim number.</li>\n<li><b>PayorId</b>: Id (kennitala) of the payor.</li>\n<li><b>DueDate</b>: Due date of the claim.</li>\n</ul>\n"},"IsIT.Claims.SignUp.Api.Models.Entities.DepositAccount":{"type":"object","properties":{"id":{"pattern":"[0-9]{4}[0-9]{2}[0-9]{6}","type":"string","description":"Banknumber, ledger and number. For claims ledger is 66 followed by claim number.","nullable":true}},"additionalProperties":false,"description":"Information on the main disposal account."},"IsIT.Claims.SignUp.Api.Models.AdditionalDepositAccount":{"type":"object","properties":{"id":{"type":"string","description":"An Id consists of a branch number - First 4 digits, a ledger number - Next 2 digits and an account number - Last 6 digits.","nullable":true},"ownerId":{"type":"string","description":"Id (Kennitala) of the owner of the account.","nullable":true},"type":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Enums.AdditionalDepositAccountType"},"code":{"maxLength":4,"minLength":4,"type":"string","description":"Optional identifier for the deposit account. The identifier is determined by the Api user. Code length is 4 characters.","nullable":true},"priority":{"type":"integer","description":"Priority determines which parts of the payment to the creditor should be disposed of first. Priority only needs to be selected for FixedAmount and Percentage types. Other types have reserved priority.","format":"int32","nullable":true},"depositAmount":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Entities.DepositAmount"}},"additionalProperties":false},"IsIT.Claims.SignUp.Api.Models.Enums.AdditionalDepositAccountType":{"enum":["DefaultInterest","DefaultCharge","OtherDefaultCosts","AllDefaultCharges","OtherCosts","NoticeAndPaymentFee","AllCosts","FixedAmount"],"type":"string","description":"Type of additional deposit account.<p>Possible values:</p>\n<ul>\n<li><b>DefaultInterest</b>: Penalty interest.</li>\n<li><b>DefaultCharge</b>: Default cost.</li>\n<li><b>OtherDefaultCosts</b>: Other default costs.</li>\n<li><b>AllDefaultCharges</b>: All default costs.</li>\n<li><b>OtherCosts</b>: Other costs.</li>\n<li><b>NoticeAndPaymentFee</b>: Notification fee.</li>\n<li><b>AllCosts</b>: All costs and fees imposed on the claim.</li>\n<li><b>FixedAmount</b>: A fixed amount is deducted from the amount of the payment and deposited in a disposable account. If FixedAmount is selected, the DepositAmount must be greater than zero.</li>\n</ul>\n"},"IsIT.Claims.SignUp.Api.Models.Entities.DepositAmount":{"type":"object","properties":{"value":{"type":"number","description":"The value of the percentage or fixed amount.","format":"double"},"valueType":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Entities.ValueType"}},"additionalProperties":false,"description":"The amount to be deposited, can be a fixed amount or percentage."},"IsIT.Claims.SignUp.Api.Models.Entities.ValueType":{"enum":["Percentage","FixedAmount"],"type":"string","description":"Indicates whether the value is a percentage or a fixed amount.<p>Possible values:</p>\n<ul>\n<li><b>Percentage</b>: If the amount is a percentage.</li>\n<li><b>FixedAmount</b>: If the amount is a fixed amount.</li>\n</ul>\n"},"IsIT.Claims.SignUp.Api.Models.ClaimTemplateCreationStatus":{"type":"object","properties":{"claimTemplateId":{"pattern":"[0-9]{10}[0-9]{4}[0-9A-Z]","type":"string","description":"The resource identifer for the claim template.","nullable":true},"uri":{"type":"string","description":"Returns the URI to get the status of the created template","nullable":true},"state":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.State"},"status":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Status"},"errorMessage":{"type":"string","description":"If an error occurs during the process the error message will show the reason","nullable":true}},"additionalProperties":false,"description":"Status of claim template creation"},"IsIT.Claims.SignUp.Api.Models.State":{"enum":["Scheduled","Started","Completed","NotStarted"],"type":"string","description":"The state of the creation process<p>Possible values:</p>\n<ul>\n<li><b>Scheduled</b>: Resource is scheduled for creation</li>\n<li><b>Started</b>: Resource creation has started, but not completed</li>\n<li><b>Completed</b>: Resource creation has completed</li>\n<li><b>NotStarted</b>: Resource creation has not started</li>\n</ul>\n"},"IsIT.Claims.SignUp.Api.Models.Status":{"enum":["Undetermined","InProgress","Success","Error","NotFound"],"type":"string","description":"The status of the resource creation process, if the process succeeded or failed<p>Possible values:</p>\n<ul>\n<li><b>Undetermined</b>: The resource status is yet to be determined</li>\n<li><b>InProgress</b>: The resource creation status is in progress</li>\n<li><b>Success</b>: The resource creation succeeded</li>\n<li><b>Error</b>: The resource creation failed</li>\n<li><b>NotFound</b>: The resource not found</li>\n</ul>\n"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Claim template creation status

> Gets the status of a template. First 10 characters are claimTemplateId, next 4 are bank, next 3 are identifier

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"tags":[{"name":"SignUp","description":"SignUpController"}],"servers":[{"url":"https://apigw.arionbanki.is/claims/wholesale","description":"Claims gateway"}],"paths":{"/api/v1/claimtemplates/{claimTemplateId}/status":{"get":{"tags":["SignUp"],"summary":"Claim template creation status","description":"Gets the status of a template. First 10 characters are claimTemplateId, next 4 are bank, next 3 are identifier","parameters":[{"name":"X-Request-ID","in":"header","description":"ID of the request, unique to the call, as determined by the initiating party.","schema":{"type":"string","format":"uuid"}},{"name":"claimTemplateId","in":"path","description":"Resource identification of the claim template","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.ClaimTemplateCreationStatus"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.ClaimTemplateCreationStatus":{"type":"object","properties":{"claimTemplateId":{"pattern":"[0-9]{10}[0-9]{4}[0-9A-Z]","type":"string","description":"The resource identifer for the claim template.","nullable":true},"uri":{"type":"string","description":"Returns the URI to get the status of the created template","nullable":true},"state":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.State"},"status":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Status"},"errorMessage":{"type":"string","description":"If an error occurs during the process the error message will show the reason","nullable":true}},"additionalProperties":false,"description":"Status of claim template creation"},"IsIT.Claims.SignUp.Api.Models.State":{"enum":["Scheduled","Started","Completed","NotStarted"],"type":"string","description":"The state of the creation process<p>Possible values:</p>\n<ul>\n<li><b>Scheduled</b>: Resource is scheduled for creation</li>\n<li><b>Started</b>: Resource creation has started, but not completed</li>\n<li><b>Completed</b>: Resource creation has completed</li>\n<li><b>NotStarted</b>: Resource creation has not started</li>\n</ul>\n"},"IsIT.Claims.SignUp.Api.Models.Status":{"enum":["Undetermined","InProgress","Success","Error","NotFound"],"type":"string","description":"The status of the resource creation process, if the process succeeded or failed<p>Possible values:</p>\n<ul>\n<li><b>Undetermined</b>: The resource status is yet to be determined</li>\n<li><b>InProgress</b>: The resource creation status is in progress</li>\n<li><b>Success</b>: The resource creation succeeded</li>\n<li><b>Error</b>: The resource creation failed</li>\n<li><b>NotFound</b>: The resource not found</li>\n</ul>\n"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Makes a Echo request

> Does a base check of most internal endpoints. A good way to see if the user is authenticated and has the proper user permissions

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"tags":[{"name":"SignUp","description":"SignUpController"}],"servers":[{"url":"https://apigw.arionbanki.is/claims/wholesale","description":"Claims gateway"}],"paths":{"/api/v1/echo":{"get":{"tags":["SignUp"],"summary":"Makes a Echo request","description":"Does a base check of most internal endpoints. A good way to see if the user is authenticated and has the proper user permissions","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## The IsIT.Claims.Api.Models.v1.Entities.FeeCount object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.Api.Models.v1.Entities.FeeCount":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"count":{"type":"integer","format":"int32"}},"additionalProperties":false}}}}
```

## The IsIT.Claims.SignUp.Api.Models.AdditionalDepositAccount object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.AdditionalDepositAccount":{"type":"object","properties":{"id":{"type":"string","description":"An Id consists of a branch number - First 4 digits, a ledger number - Next 2 digits and an account number - Last 6 digits.","nullable":true},"ownerId":{"type":"string","description":"Id (Kennitala) of the owner of the account.","nullable":true},"type":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Enums.AdditionalDepositAccountType"},"code":{"maxLength":4,"minLength":4,"type":"string","description":"Optional identifier for the deposit account. The identifier is determined by the Api user. Code length is 4 characters.","nullable":true},"priority":{"type":"integer","description":"Priority determines which parts of the payment to the creditor should be disposed of first. Priority only needs to be selected for FixedAmount and Percentage types. Other types have reserved priority.","format":"int32","nullable":true},"depositAmount":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Entities.DepositAmount"}},"additionalProperties":false},"IsIT.Claims.SignUp.Api.Models.Enums.AdditionalDepositAccountType":{"enum":["DefaultInterest","DefaultCharge","OtherDefaultCosts","AllDefaultCharges","OtherCosts","NoticeAndPaymentFee","AllCosts","FixedAmount"],"type":"string","description":"Type of additional deposit account.<p>Possible values:</p>\n<ul>\n<li><b>DefaultInterest</b>: Penalty interest.</li>\n<li><b>DefaultCharge</b>: Default cost.</li>\n<li><b>OtherDefaultCosts</b>: Other default costs.</li>\n<li><b>AllDefaultCharges</b>: All default costs.</li>\n<li><b>OtherCosts</b>: Other costs.</li>\n<li><b>NoticeAndPaymentFee</b>: Notification fee.</li>\n<li><b>AllCosts</b>: All costs and fees imposed on the claim.</li>\n<li><b>FixedAmount</b>: A fixed amount is deducted from the amount of the payment and deposited in a disposable account. If FixedAmount is selected, the DepositAmount must be greater than zero.</li>\n</ul>\n"},"IsIT.Claims.SignUp.Api.Models.Entities.DepositAmount":{"type":"object","properties":{"value":{"type":"number","description":"The value of the percentage or fixed amount.","format":"double"},"valueType":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Entities.ValueType"}},"additionalProperties":false,"description":"The amount to be deposited, can be a fixed amount or percentage."},"IsIT.Claims.SignUp.Api.Models.Entities.ValueType":{"enum":["Percentage","FixedAmount"],"type":"string","description":"Indicates whether the value is a percentage or a fixed amount.<p>Possible values:</p>\n<ul>\n<li><b>Percentage</b>: If the amount is a percentage.</li>\n<li><b>FixedAmount</b>: If the amount is a fixed amount.</li>\n</ul>\n"}}}}
```

## The IsIT.Claims.SignUp.Api.Models.ClaimTemplateCreationStatus object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.ClaimTemplateCreationStatus":{"type":"object","properties":{"claimTemplateId":{"pattern":"[0-9]{10}[0-9]{4}[0-9A-Z]","type":"string","description":"The resource identifer for the claim template.","nullable":true},"uri":{"type":"string","description":"Returns the URI to get the status of the created template","nullable":true},"state":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.State"},"status":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Status"},"errorMessage":{"type":"string","description":"If an error occurs during the process the error message will show the reason","nullable":true}},"additionalProperties":false,"description":"Status of claim template creation"},"IsIT.Claims.SignUp.Api.Models.State":{"enum":["Scheduled","Started","Completed","NotStarted"],"type":"string","description":"The state of the creation process<p>Possible values:</p>\n<ul>\n<li><b>Scheduled</b>: Resource is scheduled for creation</li>\n<li><b>Started</b>: Resource creation has started, but not completed</li>\n<li><b>Completed</b>: Resource creation has completed</li>\n<li><b>NotStarted</b>: Resource creation has not started</li>\n</ul>\n"},"IsIT.Claims.SignUp.Api.Models.Status":{"enum":["Undetermined","InProgress","Success","Error","NotFound"],"type":"string","description":"The status of the resource creation process, if the process succeeded or failed<p>Possible values:</p>\n<ul>\n<li><b>Undetermined</b>: The resource status is yet to be determined</li>\n<li><b>InProgress</b>: The resource creation status is in progress</li>\n<li><b>Success</b>: The resource creation succeeded</li>\n<li><b>Error</b>: The resource creation failed</li>\n<li><b>NotFound</b>: The resource not found</li>\n</ul>\n"}}}}
```

## The IsIT.Claims.SignUp.Api.Models.ClaimantCreationStatus object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.ClaimantCreationStatus":{"type":"object","properties":{"claimantId":{"pattern":"[0-9]{10}","type":"string","description":"ClaimantId is the Icelandic kennitala for the claimant. ClaimantId is 10 digits.","nullable":true},"uri":{"type":"string","description":"Returns the URI to get the status of the created claimant","nullable":true},"state":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.State"},"status":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Status"},"errorMessage":{"type":"string","description":"If an error occurs during the process the error message will show the reason","nullable":true}},"additionalProperties":false,"description":"Status of claimant creation"},"IsIT.Claims.SignUp.Api.Models.State":{"enum":["Scheduled","Started","Completed","NotStarted"],"type":"string","description":"The state of the creation process<p>Possible values:</p>\n<ul>\n<li><b>Scheduled</b>: Resource is scheduled for creation</li>\n<li><b>Started</b>: Resource creation has started, but not completed</li>\n<li><b>Completed</b>: Resource creation has completed</li>\n<li><b>NotStarted</b>: Resource creation has not started</li>\n</ul>\n"},"IsIT.Claims.SignUp.Api.Models.Status":{"enum":["Undetermined","InProgress","Success","Error","NotFound"],"type":"string","description":"The status of the resource creation process, if the process succeeded or failed<p>Possible values:</p>\n<ul>\n<li><b>Undetermined</b>: The resource status is yet to be determined</li>\n<li><b>InProgress</b>: The resource creation status is in progress</li>\n<li><b>Success</b>: The resource creation succeeded</li>\n<li><b>Error</b>: The resource creation failed</li>\n<li><b>NotFound</b>: The resource not found</li>\n</ul>\n"}}}}
```

## The IsIT.Claims.SignUp.Api.Models.CreateClaimant object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.CreateClaimant":{"required":["claimantId"],"type":"object","properties":{"claimantId":{"minLength":1,"pattern":"^[0-9]{10}$","type":"string","description":"ClaimantId is the Icelandic kennitala for the claimant. ClaimantId is 10 digits."}},"additionalProperties":false,"description":"Create claimant"}}}}
```

## The IsIT.Claims.SignUp.Api.Models.Entities.ClaimTemplateKey object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.Entities.ClaimTemplateKey":{"required":["bank","claimantId","templateCode"],"type":"object","properties":{"claimantId":{"type":"string","description":"ClaimantId is the Icelandic kennitala for the claimant.","nullable":true},"bank":{"type":"string","description":"Icelandic branch number. Bank code is 4 digits.","nullable":true},"templateCode":{"type":"string","description":"Claim template identifier. Template code is 3 letters and/or numbers. No icelandic letters allowed. The characters \"M\" and \"8\" are reserved as first characters for secondary collection templates. The template code is chosen by the Api user.","nullable":true}},"additionalProperties":false,"description":"Unique combination of claimant, bank and template code."}}}}
```

## The IsIT.Claims.SignUp.Api.Models.Entities.ClaimUsagePeriod object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.Entities.ClaimUsagePeriod":{"required":["claimTemplateKey","from","to"],"type":"object","properties":{"claimTemplateKey":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Entities.ClaimTemplateKey"},"from":{"type":"string","description":"The start date of the usage period, typically the beginning of the month.","format":"date-time"},"to":{"type":"string","description":"The end date of the usage period, typically the end of the month.","format":"date-time"},"feeCounts":{"type":"array","items":{"$ref":"#/components/schemas/IsIT.Claims.Api.Models.v1.Entities.FeeCount"},"description":"Collection of fee counts associated with the claim template for this period.","nullable":true}},"additionalProperties":false,"description":"Represents the usage data of a claim template within a defined period."},"IsIT.Claims.SignUp.Api.Models.Entities.ClaimTemplateKey":{"required":["bank","claimantId","templateCode"],"type":"object","properties":{"claimantId":{"type":"string","description":"ClaimantId is the Icelandic kennitala for the claimant.","nullable":true},"bank":{"type":"string","description":"Icelandic branch number. Bank code is 4 digits.","nullable":true},"templateCode":{"type":"string","description":"Claim template identifier. Template code is 3 letters and/or numbers. No icelandic letters allowed. The characters \"M\" and \"8\" are reserved as first characters for secondary collection templates. The template code is chosen by the Api user.","nullable":true}},"additionalProperties":false,"description":"Unique combination of claimant, bank and template code."},"IsIT.Claims.Api.Models.v1.Entities.FeeCount":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"count":{"type":"integer","format":"int32"}},"additionalProperties":false}}}}
```

## The IsIT.Claims.SignUp.Api.Models.Entities.DepositAccount object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.Entities.DepositAccount":{"type":"object","properties":{"id":{"pattern":"[0-9]{4}[0-9]{2}[0-9]{6}","type":"string","description":"Banknumber, ledger and number. For claims ledger is 66 followed by claim number.","nullable":true}},"additionalProperties":false,"description":"Information on the main disposal account."}}}}
```

## The IsIT.Claims.SignUp.Api.Models.Entities.DepositAmount object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.Entities.DepositAmount":{"type":"object","properties":{"value":{"type":"number","description":"The value of the percentage or fixed amount.","format":"double"},"valueType":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Entities.ValueType"}},"additionalProperties":false,"description":"The amount to be deposited, can be a fixed amount or percentage."},"IsIT.Claims.SignUp.Api.Models.Entities.ValueType":{"enum":["Percentage","FixedAmount"],"type":"string","description":"Indicates whether the value is a percentage or a fixed amount.<p>Possible values:</p>\n<ul>\n<li><b>Percentage</b>: If the amount is a percentage.</li>\n<li><b>FixedAmount</b>: If the amount is a fixed amount.</li>\n</ul>\n"}}}}
```

## The IsIT.Claims.SignUp.Api.Models.Entities.PagingInfo object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.Entities.PagingInfo":{"type":"object","properties":{"page":{"type":"integer","description":"Current page number.","format":"int32"},"pageSize":{"type":"integer","description":"Number of items per page.","format":"int32"},"totalRows":{"type":"integer","description":"Total number of rows available in the data set.","format":"int32"},"totalPages":{"type":"integer","description":"Total number of pages available, based on PageSize and TotalRows.","format":"int32"},"nextPage":{"type":"string","description":"Gets the URL to the next page, or null if there is no next page.","nullable":true}},"additionalProperties":false,"description":"Represents paging information for a paginated response."}}}}
```

## The IsIT.Claims.SignUp.Api.Models.Entities.ValueType object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.Entities.ValueType":{"enum":["Percentage","FixedAmount"],"type":"string","description":"Indicates whether the value is a percentage or a fixed amount.<p>Possible values:</p>\n<ul>\n<li><b>Percentage</b>: If the amount is a percentage.</li>\n<li><b>FixedAmount</b>: If the amount is a fixed amount.</li>\n</ul>\n"}}}}
```

## The IsIT.Claims.SignUp.Api.Models.Enums.AdditionalDepositAccountType object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.Enums.AdditionalDepositAccountType":{"enum":["DefaultInterest","DefaultCharge","OtherDefaultCosts","AllDefaultCharges","OtherCosts","NoticeAndPaymentFee","AllCosts","FixedAmount"],"type":"string","description":"Type of additional deposit account.<p>Possible values:</p>\n<ul>\n<li><b>DefaultInterest</b>: Penalty interest.</li>\n<li><b>DefaultCharge</b>: Default cost.</li>\n<li><b>OtherDefaultCosts</b>: Other default costs.</li>\n<li><b>AllDefaultCharges</b>: All default costs.</li>\n<li><b>OtherCosts</b>: Other costs.</li>\n<li><b>NoticeAndPaymentFee</b>: Notification fee.</li>\n<li><b>AllCosts</b>: All costs and fees imposed on the claim.</li>\n<li><b>FixedAmount</b>: A fixed amount is deducted from the amount of the payment and deposited in a disposable account. If FixedAmount is selected, the DepositAmount must be greater than zero.</li>\n</ul>\n"}}}}
```

## The IsIT.Claims.SignUp.Api.Models.Enums.ClaimantStatementExtendedReferenceType object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.Enums.ClaimantStatementExtendedReferenceType":{"enum":["ReferenceNumber","CustomerNumber","ClaimId","PayorId","DueDate"],"type":"string","description":"Indicates which value appears in the reference (Stuttur texti / skýringasvæði tilvísunar) area of the creditor's account statement.<p>Possible values:</p>\n<ul>\n<li><b>ReferenceNumber</b>: First 12 of reference number.</li>\n<li><b>CustomerNumber</b>: First 12 of customer number.</li>\n<li><b>ClaimId</b>: ClaimId is the most common choice. A claimId consists of a branch number, a ledger number and account number. Pattern: [0-9]{4}|[0-9]{2}[0-9?]{6}]</li>\n<li><b>PayorId</b>: Id (kennitala) of the payor.</li>\n<li><b>DueDate</b>: Due date of the claim.</li>\n</ul>\n"}}}}
```

## The IsIT.Claims.SignUp.Api.Models.Enums.ClaimantStatementReferenceType object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.Enums.ClaimantStatementReferenceType":{"enum":["DueDate","BillNumber","ClaimNumber"],"type":"string","description":"Indicates which value appears in the reference (Langur texti / tilvísunarsvæði) area on the creditor's account statement.<p>Possible values:</p>\n<ul>\n<li><b>DueDate</b>: Due date of the claim in the format (yyyymmdd)</li>\n<li><b>BillNumber</b>: Bill number of the claim.</li>\n<li><b>ClaimNumber</b>: Claimnumber (last 6 digits)</li>\n</ul>\n"}}}}
```

## The IsIT.Claims.SignUp.Api.Models.Enums.PayorStatementExtendedReferenceType object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.Enums.PayorStatementExtendedReferenceType":{"enum":["ClaimantId","ReferenceNumber","CustomerNumber","ClaimId","PayorId","DueDate"],"type":"string","description":"Tells which value appears in the reference explanation area of ​​the payer's invoice statement.<p>Possible values:</p>\n<ul>\n<li><b>ClaimantId</b>: ClaimantId is the Icelandic kennitala for the claimant.</li>\n<li><b>ReferenceNumber</b>: First 12 numbers of the reference number.</li>\n<li><b>CustomerNumber</b>: First 12 letters of the transaction number.</li>\n<li><b>ClaimId</b>: Bank, ledger and claim number.</li>\n<li><b>PayorId</b>: Id (kennitala) of the payor.</li>\n<li><b>DueDate</b>: Due date of the claim.</li>\n</ul>\n"}}}}
```

## The IsIT.Claims.SignUp.Api.Models.Requests.TemplateRequest object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.Requests.TemplateRequest":{"required":["bank","claimantId","claimantStatementExtendedReferenceType","claimantStatementReferenceType","payorStatementExtendedReferenceType","templateCode"],"type":"object","properties":{"claimantStatementExtendedReferenceType":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Enums.ClaimantStatementExtendedReferenceType"},"claimantStatementReferenceType":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Enums.ClaimantStatementReferenceType"},"claimantId":{"minLength":1,"pattern":"^[0-9]{10}$","type":"string","description":"ClaimantId is the Icelandic kennitala for the claimant. ClaimantId is 10 digits."},"bank":{"minLength":1,"pattern":"03[0-9]{2}","type":"string","description":"Icelandic branch number. Bank code is 4 digits. Default value is 0370 for wholesale"},"templateCode":{"minLength":1,"pattern":"[0-9A-Za-z]{3}","type":"string","description":"Claim template identifier. Template code is 3 letters and/or numbers. No icelandic letters allowed. The characters \"M\" and \"8\" are reserved as first characters for secondary collection templates. The template code is chosen by the Api user."},"category":{"maxLength":2,"type":"string","description":"Creditors text key, explanation of payment. Category is 2 letters. Following is a list of common category values\r\n \r\nCategory  — Description\r\n \r\nKD — Leiga/ Rent\r\n \r\n37 — Reikningur/ Invoice\r\n \r\nG8 — Áskrift/Subscription\r\n \r\nKH — Félagsgjöld/Membership Fee\r\n \r\nIH — Innheimta/Claim\r\n \r\nR3 — Húsgjöld/Residents Fee\r\n \r\nGG — Framkvæmdargjöld/Building Fee\r\n \r\nK1 — Ýmislegt/Miscellaneous\r\n \r\nG7 — Árgjalddagi/Annual Fee","nullable":true},"payorStatementExtendedReferenceType":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Enums.PayorStatementExtendedReferenceType"},"depositAccount":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Entities.DepositAccount"},"withdrawalAccount":{"pattern":"[0-9]{12}","type":"string","description":"Debit account used to pay the creditor's expenses to the bank. If omitted, the main disposition account of the claim template is used.","nullable":true},"additionalDepositAccounts":{"type":"array","items":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.AdditionalDepositAccount"},"nullable":true}},"additionalProperties":false,"description":"Create or Alter Claim Template Details."},"IsIT.Claims.SignUp.Api.Models.Enums.ClaimantStatementExtendedReferenceType":{"enum":["ReferenceNumber","CustomerNumber","ClaimId","PayorId","DueDate"],"type":"string","description":"Indicates which value appears in the reference (Stuttur texti / skýringasvæði tilvísunar) area of the creditor's account statement.<p>Possible values:</p>\n<ul>\n<li><b>ReferenceNumber</b>: First 12 of reference number.</li>\n<li><b>CustomerNumber</b>: First 12 of customer number.</li>\n<li><b>ClaimId</b>: ClaimId is the most common choice. A claimId consists of a branch number, a ledger number and account number. Pattern: [0-9]{4}|[0-9]{2}[0-9?]{6}]</li>\n<li><b>PayorId</b>: Id (kennitala) of the payor.</li>\n<li><b>DueDate</b>: Due date of the claim.</li>\n</ul>\n"},"IsIT.Claims.SignUp.Api.Models.Enums.ClaimantStatementReferenceType":{"enum":["DueDate","BillNumber","ClaimNumber"],"type":"string","description":"Indicates which value appears in the reference (Langur texti / tilvísunarsvæði) area on the creditor's account statement.<p>Possible values:</p>\n<ul>\n<li><b>DueDate</b>: Due date of the claim in the format (yyyymmdd)</li>\n<li><b>BillNumber</b>: Bill number of the claim.</li>\n<li><b>ClaimNumber</b>: Claimnumber (last 6 digits)</li>\n</ul>\n"},"IsIT.Claims.SignUp.Api.Models.Enums.PayorStatementExtendedReferenceType":{"enum":["ClaimantId","ReferenceNumber","CustomerNumber","ClaimId","PayorId","DueDate"],"type":"string","description":"Tells which value appears in the reference explanation area of ​​the payer's invoice statement.<p>Possible values:</p>\n<ul>\n<li><b>ClaimantId</b>: ClaimantId is the Icelandic kennitala for the claimant.</li>\n<li><b>ReferenceNumber</b>: First 12 numbers of the reference number.</li>\n<li><b>CustomerNumber</b>: First 12 letters of the transaction number.</li>\n<li><b>ClaimId</b>: Bank, ledger and claim number.</li>\n<li><b>PayorId</b>: Id (kennitala) of the payor.</li>\n<li><b>DueDate</b>: Due date of the claim.</li>\n</ul>\n"},"IsIT.Claims.SignUp.Api.Models.Entities.DepositAccount":{"type":"object","properties":{"id":{"pattern":"[0-9]{4}[0-9]{2}[0-9]{6}","type":"string","description":"Banknumber, ledger and number. For claims ledger is 66 followed by claim number.","nullable":true}},"additionalProperties":false,"description":"Information on the main disposal account."},"IsIT.Claims.SignUp.Api.Models.AdditionalDepositAccount":{"type":"object","properties":{"id":{"type":"string","description":"An Id consists of a branch number - First 4 digits, a ledger number - Next 2 digits and an account number - Last 6 digits.","nullable":true},"ownerId":{"type":"string","description":"Id (Kennitala) of the owner of the account.","nullable":true},"type":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Enums.AdditionalDepositAccountType"},"code":{"maxLength":4,"minLength":4,"type":"string","description":"Optional identifier for the deposit account. The identifier is determined by the Api user. Code length is 4 characters.","nullable":true},"priority":{"type":"integer","description":"Priority determines which parts of the payment to the creditor should be disposed of first. Priority only needs to be selected for FixedAmount and Percentage types. Other types have reserved priority.","format":"int32","nullable":true},"depositAmount":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Entities.DepositAmount"}},"additionalProperties":false},"IsIT.Claims.SignUp.Api.Models.Enums.AdditionalDepositAccountType":{"enum":["DefaultInterest","DefaultCharge","OtherDefaultCosts","AllDefaultCharges","OtherCosts","NoticeAndPaymentFee","AllCosts","FixedAmount"],"type":"string","description":"Type of additional deposit account.<p>Possible values:</p>\n<ul>\n<li><b>DefaultInterest</b>: Penalty interest.</li>\n<li><b>DefaultCharge</b>: Default cost.</li>\n<li><b>OtherDefaultCosts</b>: Other default costs.</li>\n<li><b>AllDefaultCharges</b>: All default costs.</li>\n<li><b>OtherCosts</b>: Other costs.</li>\n<li><b>NoticeAndPaymentFee</b>: Notification fee.</li>\n<li><b>AllCosts</b>: All costs and fees imposed on the claim.</li>\n<li><b>FixedAmount</b>: A fixed amount is deducted from the amount of the payment and deposited in a disposable account. If FixedAmount is selected, the DepositAmount must be greater than zero.</li>\n</ul>\n"},"IsIT.Claims.SignUp.Api.Models.Entities.DepositAmount":{"type":"object","properties":{"value":{"type":"number","description":"The value of the percentage or fixed amount.","format":"double"},"valueType":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Entities.ValueType"}},"additionalProperties":false,"description":"The amount to be deposited, can be a fixed amount or percentage."},"IsIT.Claims.SignUp.Api.Models.Entities.ValueType":{"enum":["Percentage","FixedAmount"],"type":"string","description":"Indicates whether the value is a percentage or a fixed amount.<p>Possible values:</p>\n<ul>\n<li><b>Percentage</b>: If the amount is a percentage.</li>\n<li><b>FixedAmount</b>: If the amount is a fixed amount.</li>\n</ul>\n"}}}}
```

## The IsIT.Claims.SignUp.Api.Models.Responses.GetClaimUsagePeriodsResponse object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.Responses.GetClaimUsagePeriodsResponse":{"required":["paging"],"type":"object","properties":{"claimUsagePeriods":{"type":"array","items":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Entities.ClaimUsagePeriod"},"description":"A list of ClaimUsagePeriods","nullable":true},"paging":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Entities.PagingInfo"}},"additionalProperties":false,"description":"Represents the response containing claim usage data and pagination details for claim templates."},"IsIT.Claims.SignUp.Api.Models.Entities.ClaimUsagePeriod":{"required":["claimTemplateKey","from","to"],"type":"object","properties":{"claimTemplateKey":{"$ref":"#/components/schemas/IsIT.Claims.SignUp.Api.Models.Entities.ClaimTemplateKey"},"from":{"type":"string","description":"The start date of the usage period, typically the beginning of the month.","format":"date-time"},"to":{"type":"string","description":"The end date of the usage period, typically the end of the month.","format":"date-time"},"feeCounts":{"type":"array","items":{"$ref":"#/components/schemas/IsIT.Claims.Api.Models.v1.Entities.FeeCount"},"description":"Collection of fee counts associated with the claim template for this period.","nullable":true}},"additionalProperties":false,"description":"Represents the usage data of a claim template within a defined period."},"IsIT.Claims.SignUp.Api.Models.Entities.ClaimTemplateKey":{"required":["bank","claimantId","templateCode"],"type":"object","properties":{"claimantId":{"type":"string","description":"ClaimantId is the Icelandic kennitala for the claimant.","nullable":true},"bank":{"type":"string","description":"Icelandic branch number. Bank code is 4 digits.","nullable":true},"templateCode":{"type":"string","description":"Claim template identifier. Template code is 3 letters and/or numbers. No icelandic letters allowed. The characters \"M\" and \"8\" are reserved as first characters for secondary collection templates. The template code is chosen by the Api user.","nullable":true}},"additionalProperties":false,"description":"Unique combination of claimant, bank and template code."},"IsIT.Claims.Api.Models.v1.Entities.FeeCount":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"count":{"type":"integer","format":"int32"}},"additionalProperties":false},"IsIT.Claims.SignUp.Api.Models.Entities.PagingInfo":{"type":"object","properties":{"page":{"type":"integer","description":"Current page number.","format":"int32"},"pageSize":{"type":"integer","description":"Number of items per page.","format":"int32"},"totalRows":{"type":"integer","description":"Total number of rows available in the data set.","format":"int32"},"totalPages":{"type":"integer","description":"Total number of pages available, based on PageSize and TotalRows.","format":"int32"},"nextPage":{"type":"string","description":"Gets the URL to the next page, or null if there is no next page.","nullable":true}},"additionalProperties":false,"description":"Represents paging information for a paginated response."}}}}
```

## The IsIT.Claims.SignUp.Api.Models.State object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.State":{"enum":["Scheduled","Started","Completed","NotStarted"],"type":"string","description":"The state of the creation process<p>Possible values:</p>\n<ul>\n<li><b>Scheduled</b>: Resource is scheduled for creation</li>\n<li><b>Started</b>: Resource creation has started, but not completed</li>\n<li><b>Completed</b>: Resource creation has completed</li>\n<li><b>NotStarted</b>: Resource creation has not started</li>\n</ul>\n"}}}}
```

## The IsIT.Claims.SignUp.Api.Models.Status object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"IsIT.Claims.SignUp.Api.Models.Status":{"enum":["Undetermined","InProgress","Success","Error","NotFound"],"type":"string","description":"The status of the resource creation process, if the process succeeded or failed<p>Possible values:</p>\n<ul>\n<li><b>Undetermined</b>: The resource status is yet to be determined</li>\n<li><b>InProgress</b>: The resource creation status is in progress</li>\n<li><b>Success</b>: The resource creation succeeded</li>\n<li><b>Error</b>: The resource creation failed</li>\n<li><b>NotFound</b>: The resource not found</li>\n</ul>\n"}}}}
```

## The Microsoft.AspNetCore.Mvc.ProblemDetails object

```json
{"openapi":"3.0.1","info":{"title":"IsIT Claims SignUp API V1","version":"v1"},"components":{"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
